Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Just emerged VLC but when I launch it crashes my system
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Multimedia
View previous topic :: View next topic  
Author Message
moisespedro
n00b
n00b


Joined: 01 Jan 2014
Posts: 71

PostPosted: Sat Feb 08, 2014 4:08 am    Post subject: Just emerged VLC but when I launch it crashes my system Reply with quote

Whenever I try to run VLC using the XFCE menu my X server freezes, the mouse can still move but nothing else works

When running from terminal it doesn't freeze nor crashes but the GUI doesn't show up

Code:
pedro@gentoo ~ $ vlc
VLC media player 2.0.7 Twoflower (revision 2.0.6-54-g7dd7e4d)
[0x605108] main libvlc: Executando o VLC com a interface padrão. Use 'cvlc' para usar o VLC sem interface.
Interface de controle remoto iniciada. Digite `help' para ajuda.{/code]


EDIT: When I press CTRL+ALT+F1 to kill Xorg and restart it I see this message (right below the first VLC output)
Code:
(II) AIGLX: Suspending AIGLX clients for VT switch
Back to top
View user's profile Send private message
whiteghost
Guru
Guru


Joined: 26 Jul 2009
Posts: 373
Location: north dakota

PostPosted: Mon Feb 10, 2014 6:23 am    Post subject: Reply with quote

Code:
$vlc -vvv

for debug
_________________
www.informationclearinghouse.info
May you re-discover what the poor in 18th century France discovered, that rich people's heads can be mechanically separated from their shoulders if they refuse to listen to reason.
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 5721
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Mon Feb 17, 2014 4:56 pm    Post subject: Reply with quote

ok, so you're running stable


we need more info:

what does
Code:
emerge --info


output ?
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.3.0-r2
2.6.37.2_plus_v1: BFS, CFS,THP,compaction, zcache or TOI
Hardcore Linux user since 2004 :D
Back to top
View user's profile Send private message
Asasapatata
n00b
n00b


Joined: 07 Mar 2014
Posts: 5

PostPosted: Fri Mar 07, 2014 7:31 pm    Post subject: Reply with quote

I have the same problem. I can run vlc in verbose mode (vlc -vv filename) and it works even if i have not buttons. Audio and video plays correctly but i cant stop them or pause them because there is not the interface.
I read that i need qt4 to solve the problem but, when i installed gentoo, i put a -qt4 into the USE flags. So, i run xfce4, how can i solve the problem? do i have to enable qt4 in use flags and emerge vlc again? or can i allow qt4 in /etc/portage/package.use just for vlc?
Back to top
View user's profile Send private message
TomWij
Developer
Developer


Joined: 04 Jul 2012
Posts: 1551

PostPosted: Fri Mar 07, 2014 7:41 pm    Post subject: Reply with quote

Yes, you need USE="qt4" for a graphical user interface.
Back to top
View user's profile Send private message
Asasapatata
n00b
n00b


Joined: 07 Mar 2014
Posts: 5

PostPosted: Sat Mar 08, 2014 12:26 am    Post subject: Reply with quote

Yes. I put qt4 flag into package.use and vlc works good now.
Back to top
View user's profile Send private message
eb0t
n00b
n00b


Joined: 14 Mar 2014
Posts: 1

PostPosted: Fri Mar 14, 2014 9:46 pm    Post subject: Reply with quote

TomWij wrote:
Yes, you need USE="qt4" for a graphical user interface.


this is my big weakness with gentoo...
things like this..

how on earth did you find out that you needed to use the qt4 flag in order to get vlc to run..

i have looked EVERYWHERE ONLINE ..and did not see that information anywhere.

please tell me how you found this information.
it will make my life with gentoo so much easier.

thank you.
Back to top
View user's profile Send private message
Asasapatata
n00b
n00b


Joined: 07 Mar 2014
Posts: 5

PostPosted: Fri Mar 14, 2014 10:09 pm    Post subject: Reply with quote

echo "media-video/vlc qt4" >> /etc/portage/package.use

emerge -av media-video/vlc

I did this way and now it works.
Back to top
View user's profile Send private message
krinn
Advocate
Advocate


Joined: 02 May 2003
Posts: 4296

PostPosted: Fri Mar 14, 2014 11:09 pm    Post subject: Reply with quote

eb0t wrote:
please tell me how you found this information.

Code:
equery u vlc
 * Found these USE flags for media-video/vlc-2.1.2:
...
+ + qt4                    : (Restricted to >=media-video/vlc-0.9)
                              Builds a x11-libs/qt based frontend, a graphical
                              interface.
Back to top
View user's profile Send private message
TomWij
Developer
Developer


Joined: 04 Jul 2012
Posts: 1551

PostPosted: Sun Mar 16, 2014 1:41 pm    Post subject: Reply with quote

Knowing which graphical libraries there are can help to find the USE flags needed to build a graphical front-end. Qt has USE flags that start with qt, GTK+ has USE flags that start with gtk, etc...
Back to top
View user's profile Send private message
v_andal
Guru
Guru


Joined: 26 Aug 2008
Posts: 310
Location: Germany

PostPosted: Mon Mar 17, 2014 8:31 am    Post subject: Reply with quote

eb0t wrote:
TomWij wrote:
Yes, you need USE="qt4" for a graphical user interface.


how on earth did you find out that you needed to use the qt4 flag in order to get vlc to run..


Well. Things are never perfect. I guess, creator of vlc ebuild could forbid building of vlc without any toolkit, or force some default one if none is specified by the user. But it is not done. So, for many users vlc crashes after first build attempt. Especially for those who don't have qt4 in default set of USE flags.

Still, if you want to have good Gentoo system, you should always check which use flags are available and what they give you. So, normally before installing anything I run command 'emerge -pv package_to_install' and then check which USE flags are active, which are not and then check their meaning either here http://www.gentoo.org/dyn/use-index.xml or via 'euse -i use_flag'
Back to top
View user's profile Send private message
TomWij
Developer
Developer


Joined: 04 Jul 2012
Posts: 1551

PostPosted: Mon Mar 17, 2014 10:12 pm    Post subject: Reply with quote

v_andal wrote:
Well. Things are never perfect. I guess, creator of vlc ebuild could forbid building of vlc without any toolkit, or force some default one if none is specified by the user. But it is not done. So, for many users vlc crashes after first build attempt. Especially for those who don't have qt4 in default set of USE flags.


It is a bit different, there is +qt4 in those ebuilds such that there needs to be an explicit -qt4 somewhere else to crash it that way.

PS: For your information, to avoid misunderstandings, please note that I am the primary maintainer of the vlc package.
Back to top
View user's profile Send private message
v_andal
Guru
Guru


Joined: 26 Aug 2008
Posts: 310
Location: Germany

PostPosted: Tue Mar 18, 2014 8:15 am    Post subject: Reply with quote

TomWij wrote:

It is a bit different, there is +qt4 in those ebuilds such that there needs to be an explicit -qt4 somewhere else to crash it that way.


Isn't portage supposed to take care of this as well? At least very often I get requests from emerge to add some USE flag to packet because some other packet expects it to be there.

Well, I don't request this behavior. I only wanted to say, that things are not perfect and one shouldn't expect from 'emerge' covering of every single detail :)
Back to top
View user's profile Send private message
TomWij
Developer
Developer


Joined: 04 Jul 2012
Posts: 1551

PostPosted: Tue Mar 18, 2014 4:23 pm    Post subject: Reply with quote

If a package depends on vlc[qt4], it would ask you that if it were -qt4 by default; however, I doubt there are much packages doing that and it's not really possible because we default to +qt4.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Multimedia All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum